Subject: bug#19942: 25.0.50.1; Changing reftex-include-file-commands has no effect

From: "Nicolas Richard" <[email-masked]>
Date: Wed, 25 Feb 2015 12:25:24 +0100

Hello Tassilo,

Tassilo Horn <[email-masked]> writes:
> The same applies to all parsing-related reftex variables.  When changing
> these options with customized, the "reftex tables" are marked dirty and
> `reftex-compile-variables' will be called appropriately [1].  When
> changing the options from lisp, you have to do that on your own.

(and later: )
> [1] Actually, reftex-include-file-commands was an exception here.  I
> added the appropriate :set property to the defcustom just now.

While I didn't mention it, I had checked for any customize-related
special-treatment, and hadn't found any, so thanks for [1] too !

> I added that to the docs.  Now they mention:
>
> ,----[ (info "(reftex)Options") ]
> |    In case you don’t use the ‘customize’ interface, here’s a caveat:
> | Changing (mostly parsing-related) options might require a call to
> | ‘reftex-compile-variables’ in order to become effective.
> `----

In fact I probably would not have noticed it, but then maybe it would
have been my fault for not searching the manual. I tend to rely mainly
on docstrings. This is a bad habit, as I've already noticed on other
occasions.

> Now the latter has a new paragraph:
>
> ,----[ (info "(reftex)Multifile Documents") ]
> |    • RefTeX knows about the ‘\include’ and ‘\input’ macros.  In case you
> |      use different commands to include files in a multifile document,
> |      customize the variable ‘reftex-include-file-commands’.
> | 
> `----

Great.

Thanks for your help,

-- 
Nicolas Richard